Package ru.bitel.bgbilling.kernel.task.server.bean

# Class TaskData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData
ru.bitel.bgbilling.kernel.task.server.bean.TaskData

All Implemented Interfaces:
  `Serializable`, `Runnable`, `GuiTitlable`, `Idable`, `ListItem`

public class TaskData extends LightweightTaskData implements Runnable
Репрезентация задачи планировщика в БД. Содержит параметры запуска задачи, настраиваемые в клиенте, а также непосредственно экземпляр задачи.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData

  `className, comment, day, dayOfWeek, dependentTasks, hour, isPlugin, min, moduleId, moduleName, month, params, period, priority, taskStatus`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskData(int month, int day, int dayOfWeek, int hour, long min)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canWork(Calendar time)`
  возвращает, может ли отработать в это время
  `void`
  `init(Calendar time, Setup setup)`
  `void`
  `run()`
  `void`
  `setDependentTasks(List<DependentTask> dependentTasks)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData

  `clone, getClassName, getComment, getDay, getDayOfWeek, getDependentTasks, getHour, getMin, getModuleId, getModuleName, getMonth, getParams, getPeriod, getPriority, getTaskStatus, isPlugin, setClassName, setComment, setDay, setDayOfWeek, setHour, setMin, setModuleId, setModuleName, setMonth, setParams, setPeriod, setPlugin, setPriority, setTaskStatus`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TaskData

    public TaskData(int month, int day, int dayOfWeek, int hour, long min)

- ## Method Details

  - ### init

    public void init(Calendar time, Setup setup)

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`

  - ### canWork

    public boolean canWork(Calendar time)
    возвращает, может ли отработать в это время
    Parameters:
      `time` - время (текущее)
    Returns:
      true - если всё подходит, надо выполнять.

  - ### setDependentTasks

    public void setDependentTasks(List<DependentTask> dependentTasks)
    Overrides:
      `setDependentTasks` in class `LightweightTaskData`